# Changelog

## 2025-01-23 - 2.1.7 - fix(core)
Enhanced debugging and improved dependency tracking

- Updated @types/node to version ^22.10.10.
- Updated simple-async-context to version ^0.0.23.
- Enhanced the logDebug method to check for the existence of process and environment variables.
- Fixed dependency versions in package.json.

## 2025-01-19 - 2.1.6 - fix(core)
Updated dependencies and improved AsyncStore debugging and cleanup

- Upgraded 'simple-async-context' dependency to version ^0.0.16 for consistency and improvements.
- Added detailed debugging information in AsyncStore when DEBUG environment variable is set.
- Enhanced cleanup process for deleted keys in AsyncStore.
- Removed redundant dependencies from package.json and logcontext.plugins.ts.

## 2025-01-19 - 2.1.5 - fix(dependencies)
Update dependencies for improved compatibility

- Updated @types/node to version ^22.10.7
- Updated @types/shortid to version 2.2.0
- Updated simple-async-context to version ^0.0.15

## 2025-01-19 - 2.1.4 - fix(documentation)
Remove unnecessary conclusion section from the README for better clarity.

- Removed the 'Conclusion' header which was redundant in the README.

## 2025-01-19 - 2.1.3 - fix(readme)
Update README.md for better clarity and examples.

- Enhanced documentation with clearer examples of AsyncContext usage.
- Reorganized sections for improved understanding of `runScoped` and its benefits.
- Added detailed test script example in README.md.
- Clarified data isolation and deletion mechanisms within scoped functions.

## 2025-01-19 - 2.1.2 - fix(core)
Improve scope handling in async contexts.

- Modified the handling of scoped stores within `AsyncContext.runScoped` to simplify the API usage.
- Refactored tests to verify the context's behavior and isolation between parent and child stores.

## 2025-01-18 - 2.1.1 - fix(build)
Fix tsbuild script to include missing flag

- Updated the build script in package.json to include --allowimplicitany flag.

## 2025-01-18 - 2.1.0 - feat(ci)
Add GitHub Actions workflows for CI/CD

- Introduce GitHub Actions workflows to handle CI/CD processes for different events and branch types.
- Remove GitLab CI configuration in favor of GitHub Actions.
- Ensure security audits and tests are run as part of the CI pipeline.

## 2024-05-29 to 2024-03-30 - 2.0.0 - Configuration Updates
Improvements and updates to configuration files.

- Updated project description
- Modified TypeScript configuration
- Updated npmextra.json for githost details

## 2023-07-11 to 2023-07-10 - 2.0.0 - Organizational Change
Transitioned to a new organizational scheme for improved project structure.

- Implemented new organizational scheme

## 2023-01-12 - 1.0.29 - Breaking Change
Important breaking changes introduced, switched project to ECMAScript Module (ESM) format.

- Switched to ECMAScript Module (ESM)
- Core functionality updated

## 2021-09-17 to 2020-07-20 - 1.0.28 to 1.0.23 - Core Fixes
Multiple core improvements and bug fixes across several versions.

- Core functionality updates across versions

## 2018-03-09 to 2018-03-05 - 1.0.21 to 1.0.20 - Documentation Updates
Enhancements and updates to project documentation.

- License information updated in README
- General README updates

## 2018-03-05 - 1.0.19 - Standards Update
Updated project to comply with the latest coding standards.

- Applied latest standard updates

## 2018-03-03 - 1.0.18 - Initial Working Version
Initial release with all dependencies configured.

- First working project version with dependencies

## 2017-10-16 - 1.0.2 - Documentation
Initial project documentation added.

- Added initial README file

## 2017-10-16 - 1.0.1 - Initial Release
The initial release of the project.

- Project setup and initial commit